<!-- <h6 class="my-3 text-center">Huespedes por nombre</h6> -->
<form id="form-huesped" (ngSubmit)="searchHuesped(formHuesped)" #formHuesped="ngForm" novalidate=""
    class="animated fadeIn px-1">
    <div class="row buttons-huesped d-flex justify-content-center">
        <div class="form-group col">
            <div class="input-group">
                <div class="input-group-prepend">
                    <button class="btn btn-light" type="button">
                        <i class="fa fa-user-circle"></i>
                    </button>
                </div>
                <input placeholder="Apellido(s)" type="text" class="form-control" name="apellido" #box1 autofocus
                    [(ngModel)]="apellido" (keyup.enter)="searchHuesped(box1.value, box2.value)">
            </div>
        </div>
        <div class="form-group col">
            <div class="input-group">
                <div class="input-group-prepend">
                    <button class="btn btn-light" type="button">
                        <i class="fa fa-user-circle"></i>
                    </button>
                </div>
                <input placeholder="Nombre(s)" type="text" class="form-control" name="nombre" #box2 [(ngModel)]="nombre"
                    (keyup.enter)="searchHuesped(box1.value, box2.value)">
            </div>
        </div>
    </div>

    <div class="row-fluid gridHuesped" *ngIf="!loading">
        <button (click)="searchHuesped(box1.value, box2.value)" type="submit" class="btn btn-primary py-2 px-4">
            <i class="fa fa-search mr-3"></i>Buscar
        </button>
        <button (click)="selectedHuesp()" [disabled]="disabled" type="button" class="btn btn-success py-2 px-4 ml-1">
            <i class="fa fa-check mr-3"></i>Aceptar
        </button>
        <button (click)="refreshForm()" type="button" class="btn btn-primary float-right">
            <i class="fa fa-redo-alt fa-lg"></i>
        </button>
        <kendo-grid [data]="resultUsers" [selectable]="true" (selectionChange)="selectRow($event)" style="height:50vh;"
            class="mt-1">
            <ng-container *ngIf="resultUsers.length !== 0">
                <kendo-grid-column field="hfolio" title="Folio" [width]="100"></kendo-grid-column>
                <kendo-grid-column field="cuarto" title="Cuarto" [width]="100"></kendo-grid-column>
                <kendo-grid-column field="hapellido" title="Apellidos"></kendo-grid-column>
                <kendo-grid-column field="hnombre" title="Nombre"></kendo-grid-column>
                <kendo-grid-column field="heactual" title="E.A." [width]="70"></kendo-grid-column>
                <ng-template kendoGridDetailTemplate let-dataItem>
                    <div class="row" *ngIf="dataItem.hfolio">
                        <p class="col-4"><strong>Agencia:</strong> {{dataItem.Agencia}}</p>
                        <p class="col-3"><strong>Grupo:</strong> {{dataItem.grupo}}</p>
                        <p class="col-3"><strong>Empresa:</strong> {{dataItem.Empresa}}</p>
                        <p class="col-4"><strong>Confirmación:</strong> {{dataItem.hconfirmacion}}</p>
                        <p class="col-3"><strong>VIP:</strong> {{dataItem.VIP}}</p>
                    </div>
                </ng-template>
            </ng-container>
            <ng-template kendoGridNoRecordsTemplate>
                No hay resultados para mostrar.
            </ng-template>
        </kendo-grid>
    </div>
    <app-loading *ngIf="loading">Buscando huspedes...</app-loading>
</form>